<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mapping Pipeline: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mapping Pipeline
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Mapping</b></li><li class="navelem"><b>metrics</b></li><li class="navelem"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">SAM</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Mapping.metrics.SAM Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a8a78ec5f34da6dc50bf41c7f4b3055f7">__init__</a>(self, sam_file_path, logger=None, samtools=None)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#ab7ac4cf8c597aef5e7175113f5d010a3">_read_flags</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a380e7fa1040eab9b4d06ca7f7b84fe6c">_read_sam</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#acf3a6b795b5380de6122481240148df3">get_alignments</a>(self, reference=None, until_eof=False)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a83f0aa0c67dd97a7a1c159e541904091">get_flags</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7408c5dd3982f93484d73377466dbc17">get_lengths</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a0e5aa6c6b75d98de4f2a5a9b9b81f4b7">get_reference_count</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a5c94f8ec07314bf5f3e7e5d73ce3308b">get_reference_length</a>(self, reference)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a9026a490456db39a18ed3cd39a0b2178">get_reference_name</a>(self, ref_id)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a79a8dcf8ef43ccad99f25255ea2b4cdd">get_reference_pos</a>(self, reference)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a6273e6d162b128fa8b3191b0fa7ac8e4">get_references</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a9733bf59827a9097250f3f1ce98e1480">get_sam_file</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7245f996a23477af26e09181bbde925e">get_sam_file_path</a>(self)</td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a327f223e0cbbdf0ccbe6a71961b24937">logger</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a8101f983c5b00bcbe016d12060b154e3">sam_file</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#aebee6817dbab92c8e526d57da4eebe6b">sam_file_path</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a021290c24c9b27af87603921b5fda863">sam_flags</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html#a7f1aecfc582a95aff4a3863299957655">samtools</a></td><td class="entry"><a class="el" href="classMapping_1_1metrics_1_1SAM.html">Mapping.metrics.SAM</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
